<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   version="1.0">
<xsl:output method="text" encoding="UTF-8"/>
<xsl:template match="/">
<xsl:for-each select="/ead">
   repository = <xsl:value-of select="archdesc/did/repository/corpname"/>
      address = <xsl:value-of select="archdesc/did/repository/address/addressline"/>
          key = <xsl:value-of select="substring(eadheader/eadid/@url,32,3)"/>
           id = <xsl:value-of select="archdesc/did/unitid"/>
        title = <xsl:value-of select="archdesc/did/unittitle"/>
        dates = <xsl:value-of select="archdesc/did/unitdate"/>
   originator = <xsl:value-of select="archdesc/did/origination/name"/>
       extent = <xsl:value-of select="archdesc/did/physdesc/extent"/>
 restrictions = <xsl:value-of select="archdesc/did/descgrp/userestrict"/>
</xsl:for-each>
       source = <xsl:for-each select="/ead/archdesc/did/descgrp/acqinfo/p"><xsl:value-of select="."/><xsl:text>&#xa;</xsl:text>
</xsl:for-each>
        scope = <xsl:for-each select="/ead/archdesc/scopecontent/p"><xsl:value-of select="."/><xsl:text>&#xa;</xsl:text>
</xsl:for-each>
   background = <xsl:for-each select="/ead/archdesc/bioghist/p"><xsl:value-of select="."/><xsl:text>&#xa;</xsl:text>
</xsl:for-each>
    persnames = <xsl:for-each select="/ead/archdesc/controlaccess/persname"><xsl:value-of select="."/><xsl:text>&#xa;</xsl:text>
</xsl:for-each>
     famnames = <xsl:for-each select="/ead/archdesc/controlaccess/famname"><xsl:value-of select="."/><xsl:text>&#xa;</xsl:text>
</xsl:for-each>
    corpnames = <xsl:for-each select="/ead/archdesc/controlaccess/corpname"><xsl:value-of select="."/><xsl:text>&#xa;</xsl:text>
</xsl:for-each>
     subjects = <xsl:for-each select="/ead/archdesc/controlaccess/subject"><xsl:value-of select="."/><xsl:text>&#xa;</xsl:text>
</xsl:for-each>
       titles = <xsl:for-each select="/ead/archdesc/controlaccess/title"><xsl:value-of select="."/><xsl:text>&#xa;</xsl:text>
</xsl:for-each>
          dsc = <xsl:for-each select="//c01">
1 <xsl:value-of select="did/unitid"/><xsl:value-of select="did/container"/> ~ <xsl:value-of select="did/unitdate"/> ~ <xsl:value-of select= "@level"/> ~ <xsl:value-of select="did/unittitle"/><xsl:if test="did/abstract">{<xsl:value-of select="did/abstract"/></xsl:if>
<xsl:for-each select="scopecontent/p">
{<xsl:value-of select="."/>
</xsl:for-each>
<xsl:for-each select="c02">
2 <xsl:value-of select="did/unitid"/>
<xsl:value-of select="did/container"/> ~ <xsl:value-of select="did/unitdate"/> ~ <xsl:value-of select= "@level"/> ~ <xsl:value-of select="did/unittitle"/>
<xsl:if test="did/abstract"> {<xsl:value-of select="did/abstract"/>
</xsl:if>
<xsl:for-each select="scopecontent/p">
{<xsl:value-of select="."/>
</xsl:for-each>
<xsl:for-each select="c03">
3 <xsl:value-of select="did/unitid"/>
<xsl:value-of select="did/container"/> ~ <xsl:value-of select="did/unitdate"/> ~ <xsl:value-of select= "@level"/> ~ <xsl:value-of select="did/unittitle"/>
<xsl:if test="did/abstract"> {<xsl:value-of select="did/abstract"/>
</xsl:if>
<xsl:for-each select="scopecontent/p">
{<xsl:value-of select="."/>
</xsl:for-each>
<xsl:for-each select="c04">
4 <xsl:value-of select="did/unitid"/>
<xsl:value-of select="did/container"/> ~ <xsl:value-of select="did/unitdate"/> ~ <xsl:value-of select= "@level"/> ~ <xsl:value-of select="did/unittitle"/>
<xsl:if test="did/abstract"> {<xsl:value-of select="did/abstract"/>
</xsl:if>
<xsl:for-each select="scopecontent/p">
{<xsl:value-of select="."/>
</xsl:for-each>
<xsl:for-each select="c05">
5 <xsl:value-of select="did/unitid"/>
<xsl:value-of select="did/container"/> ~ <xsl:value-of select="did/unitdate"/> ~ <xsl:value-of select= "@level"/> ~ <xsl:value-of select="did/unittitle"/>
<xsl:if test="did/abstract"> {<xsl:value-of select="did/abstract"/>
</xsl:if>
<xsl:for-each select="scopecontent/p">
{<xsl:value-of select="."/>
</xsl:for-each>
<xsl:for-each select="c06">
6 <xsl:value-of select="did/unitid"/>
<xsl:value-of select="did/container"/> ~ <xsl:value-of select="did/unitdate"/> ~ <xsl:value-of select= "@level"/> ~ <xsl:value-of select="did/unittitle"/>
<xsl:if test="did/abstract"> {<xsl:value-of select="did/abstract"/>
</xsl:if>
<xsl:for-each select="scopecontent/p">
{<xsl:value-of select="."/>
</xsl:for-each>
<xsl:for-each select="c07">
7 <xsl:value-of select="did/unitid"/>
<xsl:value-of select="did/container"/> ~ <xsl:value-of select="did/unitdate"/> ~ <xsl:value-of select= "@level"/> ~ <xsl:value-of select="did/unittitle"/>
<xsl:if test="did/abstract"> {<xsl:value-of select="did/abstract"/>
</xsl:if>
<xsl:for-each select="scopecontent/p">
{<xsl:value-of select="."/>
</xsl:for-each>
<xsl:for-each select="c08">
8 <xsl:value-of select="did/unitid"/>
<xsl:value-of select="did/container"/> ~ <xsl:value-of select="did/unitdate"/> ~ <xsl:value-of select= "@level"/> ~ <xsl:value-of select="did/unittitle"/>
<xsl:if test="did/abstract"> {<xsl:value-of select="did/abstract"/>
</xsl:if>
<xsl:for-each select="scopecontent/p">
{<xsl:value-of select="."/>
</xsl:for-each>
<xsl:for-each select="c09">
9 <xsl:value-of select="did/unitid"/>
<xsl:value-of select="did/container"/> ~ <xsl:value-of select="did/unitdate"/> ~ <xsl:value-of select= "@level"/> ~ <xsl:value-of select="did/unittitle"/>
<xsl:if test="did/abstract"> {<xsl:value-of select="did/abstract"/>
</xsl:if>
<xsl:for-each select="scopecontent/p">
{<xsl:value-of select="."/>
</xsl:for-each>
</xsl:for-each>
</xsl:for-each>
</xsl:for-each>
</xsl:for-each>
</xsl:for-each>
</xsl:for-each>
</xsl:for-each>
</xsl:for-each>
</xsl:for-each>
</xsl:template>
</xsl:stylesheet>
